Package com.independentsoft.office.vml

# Class Fill

java.lang.Object
com.independentsoft.office.vml.Fill

All Implemented Interfaces:
  `IContentElement`, `IGroupElement`, `IShapeElement`, `IVmlElement`

public class Fill extends Object implements IShapeElement, IVmlElement
The Class Fill.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Fill()`
  Instantiates a new fill.
  `Fill​(InternalXMLStreamReader reader)`
  Instantiates a new fill.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Fill`
  `clone()`
  `String`
  `getAlternateImageReferenceLocation()`
  Gets the alternate image reference location.
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getFocus()`
  Gets the focus.
  `String`
  `getFocusPosition()`
  Gets the focus position.
  `String`
  `getFocusSize()`
  Gets the focus size.
  `double`
  `getGradientAngle()`
  Gets the gradient angle.
  `String`
  `getHyperlinkTarget()`
  Gets the hyperlink target.
  `String`
  `getID()`
  Gets the id.
  `ImageAspect`
  `getImageAspectRatio()`
  Gets the image aspect ratio.
  `String`
  `getIntermediateColors()`
  Gets the intermediate colors.
  `FillMethod`
  `getMethod()`
  Gets the method.
  `String`
  `getOrigin()`
  Gets the origin.
  `String`
  `getPosition()`
  Gets the position.
  `String`
  `getPrimaryColor()`
  Gets the primary color.
  `String`
  `getPrimaryColorOpacity()`
  Gets the primary color opacity.
  `String`
  `getSecondaryColor()`
  Gets the secondary color.
  `String`
  `getSecondaryColorOpacity()`
  Gets the secondary color opacity.
  `String`
  `getSize()`
  Gets the size.
  `String`
  `getSource()`
  Gets the source.
  `String`
  `getTitle()`
  Gets the title.
  `FillType`
  `getType()`
  Gets the type.
  `boolean`
  `isAlignImageWithShape()`
  Checks if is align image with shape.
  `boolean`
  `isDetectMouseClick()`
  Checks if is detect mouse click.
  `boolean`
  `isDisplay()`
  Checks if is display.
  `boolean`
  `isRecolor()`
  Checks if is recolor.
  `boolean`
  `isRotate()`
  Checks if is rotate.
  `void`
  `setAlignImageWithShape​(boolean alignImageWithShape)`
  Sets the align image with shape.
  `void`
  `setAlternateImageReferenceLocation​(String alternateImageReferenceLocation)`
  Sets the alternate image reference location.
  `void`
  `setDetectMouseClick​(boolean detectMouseClick)`
  Sets the detect mouse click.
  `void`
  `setDisplay​(boolean display)`
  Sets the display.
  `void`
  `setFocus​(String focus)`
  Sets the focus.
  `void`
  `setFocusPosition​(String focusPosition)`
  Sets the focus position.
  `void`
  `setFocusSize​(String focusSize)`
  Sets the focus size.
  `void`
  `setGradientAngle​(double gradientAngle)`
  Sets the gradient angle.
  `void`
  `setHyperlinkTarget​(String hyperlinkTarget)`
  Sets the hyperlink target.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setImageAspectRatio​(ImageAspect imageAspectRatio)`
  Sets the image aspect ratio.
  `void`
  `setIntermediateColors​(String intermediateColors)`
  Sets the intermediate colors.
  `void`
  `setMethod​(FillMethod method)`
  Sets the method.
  `void`
  `setOrigin​(String origin)`
  Sets the origin.
  `void`
  `setPosition​(String position)`
  Sets the position.
  `void`
  `setPrimaryColor​(String primaryColor)`
  Sets the primary color.
  `void`
  `setPrimaryColorOpacity​(String primaryColorOpacity)`
  Sets the primary color opacity.
  `void`
  `setRecolor​(boolean recolor)`
  Sets the recolor.
  `void`
  `setRotate​(boolean rotate)`
  Sets the rotate.
  `void`
  `setSecondaryColor​(String secondaryColor)`
  Sets the secondary color.
  `void`
  `setSecondaryColorOpacity​(String secondaryColorOpacity)`
  Sets the secondary color opacity.
  `void`
  `setSize​(String size)`
  Sets the size.
  `void`
  `setSource​(String source)`
  Sets the source.
  `void`
  `setTitle​(String title)`
  Sets the title.
  `void`
  `setType​(FillType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Fill

    public Fill()
    Instantiates a new fill.

  - ### Fill

    public Fill​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new fill.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Fill clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IShapeElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isAlignImageWithShape

    public boolean isAlignImageWithShape()
    Checks if is align image with shape.
    Returns:
      true, if is align image with shape

  - ### setAlignImageWithShape

    public void setAlignImageWithShape​(boolean alignImageWithShape)
    Sets the align image with shape.
    Parameters:
      `alignImageWithShape` - the new align image with shape

  - ### getAlternateImageReferenceLocation

    public String getAlternateImageReferenceLocation()
    Gets the alternate image reference location.
    Returns:
      the alternate image reference location

  - ### setAlternateImageReferenceLocation

    public void setAlternateImageReferenceLocation​(String alternateImageReferenceLocation)
    Sets the alternate image reference location.
    Parameters:
      `alternateImageReferenceLocation` - the new alternate image reference location

  - ### getGradientAngle

    public double getGradientAngle()
    Gets the gradient angle.
    Returns:
      the gradient angle

  - ### setGradientAngle

    public void setGradientAngle​(double gradientAngle)
    Sets the gradient angle.
    Parameters:
      `gradientAngle` - the new gradient angle

  - ### getImageAspectRatio

    public ImageAspect getImageAspectRatio()
    Gets the image aspect ratio.
    Returns:
      the image aspect ratio

  - ### setImageAspectRatio

    public void setImageAspectRatio​(ImageAspect imageAspectRatio)
    Sets the image aspect ratio.
    Parameters:
      `imageAspectRatio` - the new image aspect ratio

  - ### getPrimaryColor

    public String getPrimaryColor()
    Gets the primary color.
    Returns:
      the primary color

  - ### setPrimaryColor

    public void setPrimaryColor​(String primaryColor)
    Sets the primary color.
    Parameters:
      `primaryColor` - the new primary color

  - ### getSecondaryColor

    public String getSecondaryColor()
    Gets the secondary color.
    Returns:
      the secondary color

  - ### setSecondaryColor

    public void setSecondaryColor​(String secondaryColor)
    Sets the secondary color.
    Parameters:
      `secondaryColor` - the new secondary color

  - ### getIntermediateColors

    public String getIntermediateColors()
    Gets the intermediate colors.
    Returns:
      the intermediate colors

  - ### setIntermediateColors

    public void setIntermediateColors​(String intermediateColors)
    Sets the intermediate colors.
    Parameters:
      `intermediateColors` - the new intermediate colors

  - ### isDetectMouseClick

    public boolean isDetectMouseClick()
    Checks if is detect mouse click.
    Returns:
      true, if is detect mouse click

  - ### setDetectMouseClick

    public void setDetectMouseClick​(boolean detectMouseClick)
    Sets the detect mouse click.
    Parameters:
      `detectMouseClick` - the new detect mouse click

  - ### getFocus

    public String getFocus()
    Gets the focus.
    Returns:
      the focus

  - ### setFocus

    public void setFocus​(String focus)
    Sets the focus.
    Parameters:
      `focus` - the new focus

  - ### getFocusPosition

    public String getFocusPosition()
    Gets the focus position.
    Returns:
      the focus position

  - ### setFocusPosition

    public void setFocusPosition​(String focusPosition)
    Sets the focus position.
    Parameters:
      `focusPosition` - the new focus position

  - ### getFocusSize

    public String getFocusSize()
    Gets the focus size.
    Returns:
      the focus size

  - ### setFocusSize

    public void setFocusSize​(String focusSize)
    Sets the focus size.
    Parameters:
      `focusSize` - the new focus size

  - ### getHyperlinkTarget

    public String getHyperlinkTarget()
    Gets the hyperlink target.
    Returns:
      the hyperlink target

  - ### setHyperlinkTarget

    public void setHyperlinkTarget​(String hyperlinkTarget)
    Sets the hyperlink target.
    Parameters:
      `hyperlinkTarget` - the new hyperlink target

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getMethod

    public FillMethod getMethod()
    Gets the method.
    Returns:
      the method

  - ### setMethod

    public void setMethod​(FillMethod method)
    Sets the method.
    Parameters:
      `method` - the new method

  - ### isDisplay

    public boolean isDisplay()
    Checks if is display.
    Returns:
      true, if is display

  - ### setDisplay

    public void setDisplay​(boolean display)
    Sets the display.
    Parameters:
      `display` - the new display

  - ### getPrimaryColorOpacity

    public String getPrimaryColorOpacity()
    Gets the primary color opacity.
    Returns:
      the primary color opacity

  - ### setPrimaryColorOpacity

    public void setPrimaryColorOpacity​(String primaryColorOpacity)
    Sets the primary color opacity.
    Parameters:
      `primaryColorOpacity` - the new primary color opacity

  - ### getSecondaryColorOpacity

    public String getSecondaryColorOpacity()
    Gets the secondary color opacity.
    Returns:
      the secondary color opacity

  - ### setSecondaryColorOpacity

    public void setSecondaryColorOpacity​(String secondaryColorOpacity)
    Sets the secondary color opacity.
    Parameters:
      `secondaryColorOpacity` - the new secondary color opacity

  - ### getOrigin

    public String getOrigin()
    Gets the origin.
    Returns:
      the origin

  - ### setOrigin

    public void setOrigin​(String origin)
    Sets the origin.
    Parameters:
      `origin` - the new origin

  - ### getPosition

    public String getPosition()
    Gets the position.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(String position)
    Sets the position.
    Parameters:
      `position` - the new position

  - ### isRecolor

    public boolean isRecolor()
    Checks if is recolor.
    Returns:
      true, if is recolor

  - ### setRecolor

    public void setRecolor​(boolean recolor)
    Sets the recolor.
    Parameters:
      `recolor` - the new recolor

  - ### isRotate

    public boolean isRotate()
    Checks if is rotate.
    Returns:
      true, if is rotate

  - ### setRotate

    public void setRotate​(boolean rotate)
    Sets the rotate.
    Parameters:
      `rotate` - the new rotate

  - ### getSize

    public String getSize()
    Gets the size.
    Returns:
      the size

  - ### setSize

    public void setSize​(String size)
    Sets the size.
    Parameters:
      `size` - the new size

  - ### getSource

    public String getSource()
    Gets the source.
    Returns:
      the source

  - ### setSource

    public void setSource​(String source)
    Sets the source.
    Parameters:
      `source` - the new source

  - ### getTitle

    public String getTitle()
    Gets the title.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets the title.
    Parameters:
      `title` - the new title

  - ### getType

    public FillType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(FillType type)
    Sets the type.
    Parameters:
      `type` - the new type